• Sábado , 19 de Agosto de 2017, 03:44:05

Autor Tema: Problema actualizar hyperspin  (Leído 1051 veces)

Desconectado moyason

  • Novato
  • *
  • Mensajes: 7
  • Popularidad: +0/-0
    • Ver Perfil
Problema actualizar hyperspin
« en: Martes , 10 de Enero de 2017, 01:06:13 »
Hola. Os cuento el problema, con la versión 1.3 de hyperspin me funciona todo ok . Pero al actualizar el ejecutable por la versión 1.4 me sale el siguiente mensaje.

No default emulator found in d:\hyperspin\rocketlauncher\settings\nombre rom.\emulators.ini
Please set one so rocketlauncher knows what module to use

Alguien que me pueda ayudar please.



Desconectado InsertMoreCoins

  • Administrador
  • *****
  • Mensajes: 2666
  • Popularidad: +101/-4
  • Sexo: Masculino
  • Looking For Pedestrians
    • Ver Perfil
Re:Problema actualizar hyperspin
« Respuesta #1 en: Martes , 10 de Enero de 2017, 01:22:45 »
You are not allowed to view links. Register or Login
Hola. Os cuento el problema, con la versión 1.3 de hyperspin me funciona todo ok . Pero al actualizar el ejecutable por la versión 1.4 me sale el siguiente mensaje.

No default emulator found in d:\hyperspin\rocketlauncher\settings\nombre rom.\emulators.ini
Please set one so rocketlauncher knows what module to use

Alguien que me pueda ayudar please.

Hola, bienvenido al foro moyason que veo que es el primer mensaje que posteas. Si quieres como siempre digo puedes hacer una presentacion en el hilo de presentaciones para conocernos todos un poco más y ver los objetivos que persigue cada uno, pero ya digo que esto es opcional no estas obligado ni mucho menos.

Al parecer se te han desconfigurado los emuladores que tenias almacenados en la 1.3 (puede que sea solo uno o que sean varios) y el motivo pues en principio no lo se puesto que no debería de haber pasado nada de esto si es que solo has cambiado el ejecutable de Hyperspin.

Necesito que me digas que emulador es el que estas intentando ejecutar para ver si lo podemos solucionar y que mires que en rocketlauncherUI (si es que estas usandolo) en la pestaña emulators veas que todo sigue correctamente configurado.

Si no usas rocketlauncherUI y estas usando otro dimelo también porque no me se la configuración que tenéis cada uno y cuanta más información me deis mejor para poder resolveros los problemas.

Desconectado moyason

  • Novato
  • *
  • Mensajes: 7
  • Popularidad: +0/-0
    • Ver Perfil
Re:Problema actualizar hyperspin
« Respuesta #2 en: Martes , 10 de Enero de 2017, 02:49:17 »
Buenas de nuevo. Ya me presenté (sorry por los modales).

Te cuento, uso rocketlauncher y estaba bien apuntando a hyperspin como frontend por defecto. No se desconfigura nada de rocket a primera vista porque si voy cambiando de exención, de viejo al nuevo, si funciona todo con el viejo pero no con el nuevo. He probado con emus de psx supernes y megadrive.


Gracias por la ayuda

Desconectado InsertMoreCoins

  • Administrador
  • *****
  • Mensajes: 2666
  • Popularidad: +101/-4
  • Sexo: Masculino
  • Looking For Pedestrians
    • Ver Perfil
Re:Problema actualizar hyperspin
« Respuesta #3 en: Martes , 10 de Enero de 2017, 03:39:53 »
You are not allowed to view links. Register or Login
Buenas de nuevo. Ya me presenté (sorry por los modales).

No pasa nada, la presentacion no es obligatoria pero te 'acerca' mas a los demás usuarios del site

You are not allowed to view links. Register or Login
Te cuento, uso rocketlauncher y estaba bien apuntando a hyperspin como frontend por defecto. No se desconfigura nada de rocket a primera vista porque si voy cambiando de exención, de viejo al nuevo, si funciona todo con el viejo pero no con el nuevo. He probado con emus de psx supernes y megadrive.

Si usas rocketlauncher imagino que usarás rocketlauncherUI para crear o modificar los emuladores y asignarles un módulo a los mismos y ese apartado es el que me interesa que mires porque según el mensaje de error que te da no lo tienes configurado o por lo menos el error dice que no encuentra lo que necesita para ejecutar el emulador y la rom ya que en el archivo settings de ese sistema no lo encuentra o no esta bien especificado.

Como he leido que tu no has configurado el programa no se decirte que es lo que tienes que hacer exactamente porque no se como lo tienes creado ni configurado ni como esta estructurado el emulador etc...

Necesito saber primero, por ejemplo, en el emulador de SUPER NES que es de los más sencillos lo siguiente:

Una screenshot de RocketlauncherUI en la pestaña emulators
Una screenshot del archivo emulators.ini (de lo que pone dentro) en la ruta Z:\Hyperspin\RocketLauncher\Settings\Super Nintendo Entertainment System

No se si con eso voy a poder ayudarte pero es lo mínimo que necesito saber para ver que es lo que puedes tener mal. Si no has configurado ese hyperspin tu que es lo que he leido en la presentacion vas a tener que modificar todos los emuladores uno a uno y yo creo que te sale mejor a cuenta saber como hacerlo tu paso a paso (aunque eso ya debes decidirlo tu) y para eso tienes los tutoriales de este foro que aparte de configurarlo todo actualizado a la última revisión siempre vas a aprender a configurar TODO por tu cuenta sin depender de nadie que es lo que más valor añadido da a los tutoriales.

Desconectado moyason

  • Novato
  • *
  • Mensajes: 7
  • Popularidad: +0/-0
    • Ver Perfil
Re:Problema actualizar hyperspin
« Respuesta #4 en: Miércoles , 11 de Enero de 2017, 10:42:53 »
Perdona mi ignorancia, pero como subo al foro una foto ?

Desconectado InsertMoreCoins

  • Administrador
  • *****
  • Mensajes: 2666
  • Popularidad: +101/-4
  • Sexo: Masculino
  • Looking For Pedestrians
    • Ver Perfil
Re:Problema actualizar hyperspin
« Respuesta #5 en: Miércoles , 11 de Enero de 2017, 12:36:30 »
You are not allowed to view links. Register or Login
Perdona mi ignorancia, pero como subo al foro una foto ?

Sube la imagen a algun servidor de imagenes (imgur por ejemplo) y luego copia el enlace aqui para que vea la imagen o si quieres que salga la imagen directamente pulsa en el icono de imagenes del foro cuando este escribiendo el post y pega el enlace. Cuando publiques el post deberia de salir ya la imagen en tu respuesta.

Desconectado moyason

  • Novato
  • *
  • Mensajes: 7
  • Popularidad: +0/-0
    • Ver Perfil
Re:Problema actualizar hyperspin
« Respuesta #6 en: Miércoles , 11 de Enero de 2017, 12:48:06 »
You are not allowed to view links. Register or Login
You are not allowed to view links. Register or Login
You are not allowed to view links. Register or Login

gracias

Desconectado InsertMoreCoins

  • Administrador
  • *****
  • Mensajes: 2666
  • Popularidad: +101/-4
  • Sexo: Masculino
  • Looking For Pedestrians
    • Ver Perfil
Re:Problema actualizar hyperspin
« Respuesta #7 en: Miércoles , 11 de Enero de 2017, 03:44:13 »
You are not allowed to view links. Register or Login
You are not allowed to view links. Register or Login
You are not allowed to view links. Register or Login
You are not allowed to view links. Register or Login

Como sospechaba no tienes ningún emulador configurado en Super Nintendo Entertainment System a través de RocketlauncherUI (en la segunda imagen que me has pasado no hay nada en emulators) y por eso no puedes ejecutar los juegos en Hyperspin.
No se como lo tenia configurado la persona que te lo paso asi que no voy a echarle la culpa de la configuración pero desde luego ese paso es básico si quieres que te funcione todo bien (y lo vas a tener que hacer con todos los emuladores que tengas)

Para que te funcione tienes que crear el emulador de Super Nintendo (Snes 9x) en la pestaña emulators (dando a la cruz verde) para que esos datos que tu pongas se pasen al .ini que me has mostrado en la tercera imagen (que también falta de muchos datos para que funcione)

Desconectado moyason

  • Novato
  • *
  • Mensajes: 7
  • Popularidad: +0/-0
    • Ver Perfil
Re:Problema actualizar hyperspin
« Respuesta #8 en: Miércoles , 11 de Enero de 2017, 11:50:20 »
Pero no usa el emulador que elijas en default emulator (los que configuras en global) ?
Esta misma configuración sin tocar nada me funciona bien con el exe de hyperspin 1.3 pero lo único que hago es sustituir un exe por el 1.4, nada de tocar configuración, y ya es cuando me sale el error.

Casi que si tengo que configurar de nuevo todos los emuladores me quedo en la 1.3 que funciona bien

Gracias de todos modos

Desconectado InsertMoreCoins

  • Administrador
  • *****
  • Mensajes: 2666
  • Popularidad: +101/-4
  • Sexo: Masculino
  • Looking For Pedestrians
    • Ver Perfil
Re:Problema actualizar hyperspin
« Respuesta #9 en: Jueves , 12 de Enero de 2017, 09:03:43 »
You are not allowed to view links. Register or Login
Pero no usa el emulador que elijas en default emulator (los que configuras en global) ?

Si que los puedes tener configurados en global pero es que ya te digo que yo no se como lo tienes configurado eso me lo tienes que decir tu. Lo suyo es tener el emulador en el sistema y no en global pero luego cada uno lo configura como quiere. Por ejemplo, para que quieres tener el emulador Snes9x en GLOBAL si solo puedes emular SNES con el, lo suyo es que este en SNES y ya.
Tener un emulador en GLOBAL tiene más sentido si pones un emulador que emule más de un sistema distinto para no tener que volver a rehacerlo si vas a usar la misma configuración pero para nada más.

You are not allowed to view links. Register or Login
Esta misma configuración sin tocar nada me funciona bien con el exe de hyperspin 1.3 pero lo único que hago es sustituir un exe por el 1.4, nada de tocar configuración, y ya es cuando me sale el error.

Muestrame el emulador SNES en GLOBAL porque hay algo de rutas que no esta bien configurado

Muestrame tambien el log de hyperspin despues de haber intentado lanzar un juego de los que te da error porque quiero ver que launcher esta usando (rocketlauncher,hyperlaunch, ninguno....) es que son tantas cosas que sin saber tu configuracion no puedo saber a priori que esta fallando.

Necsito saber si has actualizado RocketlauncherUI o si no lo has actualizado porque si lo has actualizado tienes que configurar también el frontend que vas a usar etc...

Desconectado moyason

  • Novato
  • *
  • Mensajes: 7
  • Popularidad: +0/-0
    • Ver Perfil
Re:Problema actualizar hyperspin
« Respuesta #10 en: Jueves , 12 de Enero de 2017, 01:13:22 »
Ya encontré la solución.

Por lo visto hay que configurar diferente el hyperHq para la 1.3 u para superiores.
Para superior hay que poner en el setings.ini la ruta de hyperlaunch el exe de rocketlauncher y en cada sistema en hyperHq poner que use hyperlaunch.
Ha sido cambiar eso y vuelve a funcionar


Espero que esto le sirva a alguien más. Gracias de todos modos por tu tiempo

Desconectado InsertMoreCoins

  • Administrador
  • *****
  • Mensajes: 2666
  • Popularidad: +101/-4
  • Sexo: Masculino
  • Looking For Pedestrians
    • Ver Perfil
Re:Problema actualizar hyperspin
« Respuesta #11 en: Jueves , 12 de Enero de 2017, 01:53:13 »
You are not allowed to view links. Register or Login
Ya encontré la solución.

Por lo visto hay que configurar diferente el hyperHq para la 1.3 u para superiores.
Para superior hay que poner en el setings.ini la ruta de hyperlaunch el exe de rocketlauncher y en cada sistema en hyperHq poner que use hyperlaunch.
Ha sido cambiar eso y vuelve a funcionar

No es que lo tengas que configurar diferente para la 1.3 que para la 1.4 es que el que te paso el hyperspin no tenia configurado bien su uso con rocketlauncher o hyperlaunch. Si los tenias en hyperHQ en execution normal los estabas lanzando con el Hyperspin + HyperHQ directamente, no con rocketlauncher ni hyperlaunch.
Si quieres ver lo que te comento vete a execution normal y mira la linea command line preview que aparece debajo ya veras como cambia sustancialmente de si eliges un método u otro.
Otra cosa es que por lo que fuese se te hubiese borrado la configuracion de ese apartado, pero vamos que me inclino más por la primera opción.

No descartes que al usar los módulos tengas algún problema con algún sistema ya que si el chico que te lo paso lo habia configurado para usar con Hyper HQ no estas usando ninguno de los modulos de rocketlauncher que ahora al cambiarlo tu si que los vas a usar, miralos todos bien por si acaso.